<template>
  <div class="breadcrumb breadcrumb-white">
    <ul>
      <li
        v-for="(item, index) in displayBread"
        :key="`breadcrumb-${index}`"
        :class="{ breadcrumb_current: index === displayBread.length - 1 }"
      >
        <a :href="`${host}${item.url}`" v-html="item.title"></a>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  props: {
    breadcrumbs: {
      type: Object,
      required: true
    },
    isSubscription: {
      type: Boolean,
      required: false,
      default: false
    }
  },
  computed: {
    displayBread() {
      if (this.isSubscription) return this.breadcrumbs.aboArea
      return this.breadcrumbs.storeArea
    },
    host() {
      return this.$config.izneoUrl
    }
  }
}
</script>

<style
  lang="scss"
  src="~/assets/scss/v7/components/organisms/breadcrumb/_breadcrumb.scss"
></style>

<style lang="scss" scoped>
.breadcrumb {
  padding-top: 0;
}
</style>
